Last modified: 2011-11-10 07:09:08 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26220 - There are too many files in the root of phase3/includes
There are too many files in the root of phase3/includes
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2010-12-03 20:18 UTC by Sam Reed (reedy)
Modified: 2011-11-10 07:09 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch to do all of the moving... (27.08 KB, patch)
2010-12-05 09:55 UTC, Sam Reed (reedy)
Details
Really move profiler (27.18 KB, patch)
2010-12-05 09:57 UTC, Sam Reed (reedy)
Details

Description Sam Reed (reedy) 2010-12-03 20:18:30 UTC
A lot with similar purpose etc, 3 external Store...

Be nice to clear it up a bit
Comment 1 Sam Reed (reedy) 2010-12-03 20:56:29 UTC
For MZMcBrides benefit, initial summary:

"There are too many files in the root of phase3/includes"
Comment 2 MZMcBride 2010-12-03 21:06:43 UTC
A snapshot of the directory contents right now:
http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/includes/?pathrev=77679

A "conf" subdirectory could hold DefaultSettings.php, tidy.conf, SiteConfiguration.php and likely some other files.

A "profile" subdirectory seems like it could hold some files as well.

That said, no decent justification has been given (yet) for moving anything around, other than it would "be nice."
Comment 3 Sam Reed (reedy) 2010-12-03 21:07:53 UTC
Profile as in Profiler?

That's a no go. It seems there are some weird explicit dependencies from maintenance and others. I tried to move that before and all hell broke loose
Comment 4 MZMcBride 2010-12-03 21:09:33 UTC
(In reply to comment #3)
> Profile as in Profiler?
> 
> That's a no go. It seems there are some weird explicit dependencies from
> maintenance and others. I tried to move that before and all hell broke loose

Yes, I was referring to Profiler.php, ProfilerSimple.php, ProfilerSimpleText.php, ProfilerSimpleTrace.php, ProfilerSimpleUDP.php, and ProfilerStub.php.
Comment 5 Chad H. 2010-12-05 04:32:38 UTC
(In reply to comment #3)
> Profile as in Profiler?
> 
> That's a no go. It seems there are some weird explicit dependencies from
> maintenance and others. I tried to move that before and all hell broke loose

Because our batshit profiler instructions require you to require Profiler.php, which is stupid. We'd have to leave an alias in place for back-compat, which would render the move pointless.

Some of the profiler helper stuff may be movable.
Comment 6 Sam Reed (reedy) 2010-12-05 09:34:28 UTC
(In reply to comment #5)
> 
> Because our batshit profiler instructions require you to require Profiler.php,
> which is stupid. We'd have to leave an alias in place for back-compat, which
> would render the move pointless.
> 
> Some of the profiler helper stuff may be movable.

Couldn't we just do this, and "deprecate" it under the normal ways... ie just leave for 1.17, 1.18 mark wfDeprecated...

Not brilliant, but a step in the right direction



Also, the instructions suck - "Modify the StartProfiler.php". Which StartProfiler.php?

A quick look at the code says it needs to be in the root. But who knew? I guess http://www.mediawiki.org/w/index.php?title=StartProfiler.php&action=edit&redlink=1 should be created
Comment 7 Sam Reed (reedy) 2010-12-05 09:45:45 UTC
We'd also possibly need to leave ProfilerStub.php/an includes/alias file

Just incase anyone has a base StartProfiler.php that includes ProfilerStub.php for some daft reason

Seeing as that duplicates methods from Profiler....


With the alias files, 6 can be moved, leaving 2 "deprecated" redirects...
Comment 8 Sam Reed (reedy) 2010-12-05 09:55:50 UTC
Created attachment 7887 [details]
Patch to do all of the moving...
Comment 9 Sam Reed (reedy) 2010-12-05 09:57:59 UTC
Created attachment 7888 [details]
Really move profiler
Comment 10 Sam Reed (reedy) 2010-12-05 14:36:27 UTC
Comment on attachment 7888 [details]
Really move profiler

Not worth the effort (at all) with Profiler stuff.
Comment 11 Chad H. 2011-04-18 02:09:39 UTC
I reorganized the profiler in r86175 and followups.
Comment 12 Antoine "hashar" Musso (WMF) 2011-11-08 17:23:44 UTC
Is there anything else to get moved or can we just close this bug?  I am not sure there is any point in keeping it around.
Comment 13 Chad H. 2011-11-08 20:13:36 UTC
(In reply to comment #12)
> Is there anything else to get moved or can we just close this bug?  I am not
> sure there is any point in keeping it around.

I think we can go ahead and close this.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links